#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define tarball_version %{version}

%define rel 2

Summary:        KDevelop-PG-Qt
Name:           kdevelop-pg-qt
Version:        2.4.0
Release:        %mkrel %{rel}
License:        GPLv2+
Group:          Development/KDE and Qt
Url:            https://techbase.kde.org/Development/KDevelop-PG-Qt_Introduction
Source0:        https://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{tarball_version}.tar.xz
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  kf6-rpm-macros
BuildRequires:  cmake(Qt6Core) >= 6.5.0
BuildRequires:  cmake(Qt6Test) >= 6.5.0

%description
KDevelop-PG-Qt is a parser generator written in readable source-code and
generating readable source-code. Its syntax was inspired by AntLR. It
implements the visitor-pattern and uses the Qt library. That is why it
is ideal to be used in Qt-/KDE-based applications like KDevelop.

%files
%doc AUTHORS README
%{_kf6_bindir}/kdev-pg-qt

#--------------------------------------------------------------------

%package        devel
Summary:        KDevelop-PG-Qt development files
Group:          Development/KDE and Qt
Requires:       %name = %version

%description    devel
This package contains development files of %name.

%files devel
%{_includedir}/KDevelopPGQt/
%{_kf6_libdir}/cmake/KDevelop-PG-Qt
%{_kf6_libdir}/cmake/KDevelopPGQt/

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%cmake_kf6

%cmake_build

%install
%cmake_install


%changelog
* Sun Jul 06 2025 umeabot <umeabot> 2.4.0-2.mga10
+ Revision: 2247632
- Mageia 10 Mass Rebuild

* Thu Mar 13 2025 daviddavid <daviddavid> 2.4.0-1.mga10
+ Revision: 2163180
- new version: 2.4.0

* Thu Jul 25 2024 daviddavid <daviddavid> 2.3.0-1.mga10
+ Revision: 2082584
- new version: 2.3.0
- switch to Qt6/KF6

* Wed Jan 11 2023 daviddavid <daviddavid> 2.2.2-1.mga9
+ Revision: 1932327
- new version: 2.2.2

* Sun Apr 03 2022 umeabot <umeabot> 2.2.1-4.mga9
+ Revision: 1842094
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 2.2.1-3.mga8
+ Revision: 1658682
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 2.2.1-2.mga8
+ Revision: 1526830
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 daviddavid <daviddavid> 2.2.1-1.mga8
+ Revision: 1488894
- new version: 2.2.1
+ wally <wally>
- build with new cmake macros

* Mon May 27 2019 daviddavid <daviddavid> 2.2.0-1.mga8
+ Revision: 1399252
- new version: 2.2.0

* Sat Mar 30 2019 umeabot <umeabot> 2.1.0-3.mga7
+ Revision: 1382275
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.1.0-2.mga7
+ Revision: 1298503
- Mageia 7 Mass Rebuild

* Fri Aug 11 2017 daviddavid <daviddavid> 2.1.0-1.mga7
+ Revision: 1139631
- new version: 2.1.0

* Fri Aug 26 2016 daviddavid <daviddavid> 2.0.0-1.mga6
+ Revision: 1048974
- new version: 2.0.0 final

* Mon Feb 15 2016 daviddavid <daviddavid> 1.90.92-1.mga6
+ Revision: 961131
- new version: 1.90.92
- update Source URL

* Mon Feb 15 2016 umeabot <umeabot> 1.9.90-2.mga6
+ Revision: 960825
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 fwang <fwang> 1.9.90-1.mga6
+ Revision: 896277
- br qt5
+ neoclust <neoclust>
- New version 1.9.90

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 742207
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 681011
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 fwang <fwang> 1.0.0-3.mga4
+ Revision: 507326
- add upstream patch to fix build with bison3
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 356053
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 03 2012 fwang <fwang> 1.0.0-1.mga2
+ Revision: 204233
- update file list
- update file list
- new version 1.0.0

* Mon Jan 23 2012 fwang <fwang> 0.9.82-1.mga2
+ Revision: 200319
- new version 0.9.82

* Fri May 13 2011 mikala <mikala> 0.9.5-1.mga1
+ Revision: 97843
- Remove buildroot
- imported package kdevelop-pg-qt


* Wed Apr 06 2011 Funda Wang <fwang@mandriva.org> 0.9.5-1mdv2011.0
+ Revision: 651048
- new version 0.9.5

* Wed Dec 29 2010 Funda Wang <fwang@mandriva.org> 0.9.0-3mdv2011.0
+ Revision: 625864
- rebuild

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-2mdv2011.0
+ Revision: 606260
- rebuild

* Sat Apr 24 2010 Funda Wang <fwang@mandriva.org> 0.9.0-1mdv2010.1
+ Revision: 538490
- import kdevelop-pg-qt


